Tp::FunctorCaller0< Functor, R > Struct Template Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Tp::FunctorCaller0< Functor, R > Struct Template Reference

`#include </home/kaffeine/devel/gsoc/release/telepathy-qt/TelepathyQt/callbacks.h>`

Inherits Tp::BaseFunctorCaller< FunctorCaller0< Functor, R >, Functor >.

## Public Types
typedef R | ResultType
typedef R(* | InvokeType )(AbstractFunctorCaller *)
Public Types inherited from Tp::AbstractFunctorCaller
typedef void *(* | HookType )(void *)

## Public Member Functions
| FunctorCaller0 (const Functor &functor)
Public Member Functions inherited from Tp::BaseFunctorCaller< FunctorCaller0< Functor, R >, Functor >
| BaseFunctorCaller (const Functor &functor, AbstractFunctorCaller::HookType invokeMethodHook)
virtual | ~BaseFunctorCaller ()
virtual AbstractFunctorCaller * | clone () const
Public Member Functions inherited from Tp::AbstractFunctorCaller
| AbstractFunctorCaller (HookType invokeMethodHook)
virtual | ~AbstractFunctorCaller ()

## Static Public Member Functions
static ResultType | invoke (AbstractFunctorCaller *call)

## Additional Inherited Members
Public Attributes inherited from Tp::BaseFunctorCaller< FunctorCaller0< Functor, R >, Functor >
Functor | functor
Public Attributes inherited from Tp::AbstractFunctorCaller
HookType | invokeMethodHook

## Member Typedef Documentation

template<class Functor , class R >

typedef R Tp::FunctorCaller0< Functor, R >::ResultType

template<class Functor , class R >

typedef R(* Tp::FunctorCaller0< Functor, R >::InvokeType)(AbstractFunctorCaller *)

## Constructor & Destructor Documentation

template<class Functor , class R >

Tp::FunctorCaller0< Functor, R >::FunctorCaller0 | ( | const Functor & | functor | ) |
| inlineexplicit

## Member Function Documentation

template<class Functor , class R >

static ResultType Tp::FunctorCaller0< Functor, R >::invoke | ( | AbstractFunctorCaller * | call | ) |
| inlinestatic